class JinzhiUser {
  const JinzhiUser({
    required this.phone,
    required this.nickname,
    required this.createdAt,
  });

  final String phone;
  final String nickname;
  final DateTime createdAt;
}

sealed class AuthState {
  const AuthState();
}

class GuestAuthState extends AuthState {
  const GuestAuthState();
}

class LoggedInAuthState extends AuthState {
  const LoggedInAuthState({required this.user, required this.token});

  final JinzhiUser user;
  final String token;
}
